Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226511

Summary: Merge Review: unifdef
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: David Woodhouse <dwmw2>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jonathan.underwood, redhat-bugzilla, wtogami
Target Milestone: ---Flags: wtogami: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-28 23:34:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nobody's working on this, feel free to take it 2007-01-31 21:12:54 UTC
Fedora Merge Review: unifdef

http://cvs.fedora.redhat.com/viewcvs/devel/unifdef/
Initial Owner: dwmw2@redhat.com

Comment 1 Warren Togami 2007-02-01 19:07:27 UTC
APPROVED due to previous reviews in Bug #190362 and Bug #189937

(ASSIGNED to owner, deal with this only after the new buildsys is up)

Comment 2 Jonathan Underwood 2007-02-09 10:53:14 UTC
I wonder if you still think there's a need to include an unifdef package when
sunifdef is available currently in Extras (packaged by me) - sunifdef is
effectively upstream now, since unifdef hasn't been maintained for a while. 

"Sunifdef is a commandline tool for eliminating superfluous preprocessor clutter
from C and C++ source files. It is a more powerful successor to the FreeBSD
'unifdef' tool."

http://www.sunifdef.strudl.org/


Comment 3 David Woodhouse 2007-02-09 11:18:17 UTC
No, I have no particular need for it since the kernel now includes its own copy
of unifdef; it doesn't use the external one any more.

Comment 4 Jonathan Underwood 2007-03-02 15:59:50 UTC
Well, since unifdef is largely unmaintained as far as I can tell, shall we drop
the package? Would you like to co-maintain sunifdef? :)

Comment 6 Robert Scheck 2008-12-28 23:34:07 UTC
David, if you don't care about this package, please orphan it according to
the Fedora Guidelines. Anyway, the package already got reviewed when reading
bug #190362 and bug #189937. Warren set the flag for this review request,
too - closing now.